CreateFolder
Creates a new folder.
Request
POST
https://api.datalens.tech/rpc/createFolder
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"key": "example",
"initialPermissions": {
"acl_adm": [
{
"comment": "example",
"subject": "example"
}
],
"acl_edit": [
null
],
"acl_view": [
null
],
"acl_execute": [
null
]
}
}
|
Name |
Description |
||||||||
|
key |
Type: string Key of the folder to create. Example: |
||||||||
|
initialPermissions |
Type: object
Initial permissions for the folder. Example
|
DlsInitialPermissionItem
|
Name |
Description |
|
comment |
Type: string Comment describing the reason for this initial permission. Example: |
|
subject |
Type: string Subject identifier. Example: |
Example
{
"comment": "example",
"subject": "example"
}
Responses
200 OK
Response
Body
application/json
{
"entryId": "example",
"scope": "folder",
"type": "",
"key": "example",
"unversionedData": {},
"createdBy": "example",
"createdAt": "example",
"updatedBy": "example",
"updatedAt": "example",
"savedId": "example",
"revId": "example",
"publishedId": "example",
"tenantId": "example",
"data": {},
"meta": {},
"annotation": null,
"hidden": true,
"mirrored": true,
"public": true,
"workbookId": null,
"collectionId": null,
"version": null,
"sourceVersion": null,
"links": null
}
|
Name |
Description |
|
annotation |
Type: null Annotation of the folder. Example: |
|
collectionId |
Type: null Collection ID associated with the folder. Example: |
|
createdAt |
Type: string Date and time when the folder was created. Example: |
|
createdBy |
Type: string ID of the user who created the folder. Example: |
|
data |
Type: objectVersioned data of the folder. Example
|
|
entryId |
Type: string Unique identifier of the created folder. Example: |
|
hidden |
Type: boolean Whether the folder is hidden. |
|
key |
Type: string Key of the created folder. Example: |
|
links |
Type: null Links associated with the folder. Example: |
|
meta |
Type: objectMetadata of the folder. Example
|
|
mirrored |
Type: boolean Whether the folder is mirrored. |
|
public |
Type: boolean Whether the folder is public. |
|
publishedId |
Type: string | null ID of the published folder revision. Example: |
|
revId |
Type: string ID of the current folder revision. Example: |
|
savedId |
Type: string ID of the saved folder revision. Example: |
|
scope |
Type: string Scope of the created entry. Const: Example: |
|
sourceVersion |
Type: null Source folder schema version. Example: |
|
tenantId |
Type: string ID of the tenant that owns the folder. Example: |
|
type |
Type: string Type of the created folder entry. Const: `` Example: |
|
unversionedData |
Type: objectUnversioned data of the folder. Example
|
|
updatedAt |
Type: string Date and time when the folder was last updated. Example: |
|
updatedBy |
Type: string ID of the user who last updated the folder. Example: |
|
version |
Type: null Folder schema version. Example: |
|
workbookId |
Type: null Workbook ID associated with the folder. Example: |